summaryrefslogtreecommitdiffstats
path: root/testsuite
diff options
context:
space:
mode:
authorDaniel Baumann <mail@daniel-baumann.ch>2015-11-06 11:37:46 +0000
committerDaniel Baumann <mail@daniel-baumann.ch>2015-11-06 11:37:46 +0000
commitca285b91ed1b2f1cc91533f7e0b2cfab25c1712e (patch)
tree334d5a2f7bade7ccb1d9ed4cfd6e1a8d6146a9ae /testsuite
parentAdding debian version 1.4-3. (diff)
downloadclzip-ca285b91ed1b2f1cc91533f7e0b2cfab25c1712e.tar.xz
clzip-ca285b91ed1b2f1cc91533f7e0b2cfab25c1712e.zip
Merging upstream version 1.5~pre1.
Signed-off-by: Daniel Baumann <mail@daniel-baumann.ch>
Diffstat (limited to 'testsuite')
-rwxr-xr-xtestsuite/check.sh18
1 files changed, 9 insertions, 9 deletions
diff --git a/testsuite/check.sh b/testsuite/check.sh
index ed0ca50..d38ebb0 100755
--- a/testsuite/check.sh
+++ b/testsuite/check.sh
@@ -26,6 +26,15 @@ fail=0
printf "testing clzip-%s..." "$2"
+"${LZIP}" -cqs-1 in > /dev/null
+if [ $? != 1 ] ; then fail=1 ; printf - ; else printf . ; fi
+"${LZIP}" -cqs0 in > /dev/null
+if [ $? != 1 ] ; then fail=1 ; printf - ; else printf . ; fi
+"${LZIP}" -cqs4095 in > /dev/null
+if [ $? != 1 ] ; then fail=1 ; printf - ; else printf . ; fi
+"${LZIP}" -cqm274 in > /dev/null
+if [ $? != 1 ] ; then fail=1 ; printf - ; else printf . ; fi
+
"${LZIP}" -t "${testdir}"/test.txt.lz || fail=1
"${LZIP}" -cd "${testdir}"/test.txt.lz > copy || fail=1
cmp in copy || fail=1
@@ -38,15 +47,6 @@ if [ $? != 1 ] ; then fail=1 ; printf - ; else printf . ; fi
cmp in copy || fail=1
printf .
-"${LZIP}" -cqs-1 in > out
-if [ $? != 1 ] ; then fail=1 ; printf - ; else printf . ; fi
-"${LZIP}" -cqs0 in > out
-if [ $? != 1 ] ; then fail=1 ; printf - ; else printf . ; fi
-"${LZIP}" -cqs4095 in > out
-if [ $? != 1 ] ; then fail=1 ; printf - ; else printf . ; fi
-"${LZIP}" -cqm274 in > out
-if [ $? != 1 ] ; then fail=1 ; printf - ; else printf . ; fi
-
for i in s4Ki 0 1 2 3 4 5 6 7 8 9 ; do
"${LZIP}" -k -$i in || fail=1
mv -f in.lz copy.lz || fail=1